Subject: Re: [mpls] AD review of draft-ietf-mpls-ldp-ip-pw-capability

From: "Kamran Raza (skraza)" <[email-masked]>
Date: Tue, 5 Nov 2013 19:17:35 +0000

Thanks Adrian.

We agree with most of your comments and I will re-spin a revised ID right
after IETF.

--
Kamran
[ one authors' behalf ]

On 2013-10-17 9:18 AM, "Adrian Farrel" <[email-masked]> wrote:

>Hello authors of draft-ietf-mpls-ldp-ip-pw-capability,
>
>I have done my usual AD review of your draft having received the
>publication request. The purpose of my review is to remove any
>issues that I can find before the document reaches IETF last call
>and IESG evaluation.
>
>Technically, this is a fine piece of work, but I'm afraid I have a
>few of editorial issues. I hope they will be quick for you to fix so
>we can move ahead with the IETF last call.
>
>Please feel free to discuss/reject any of my requests.
>
>Thanks for the work,
>Adrian
>
>===
>
>IPoMPLS is not a common term. Fortunately you do define it quite early
>in the document, but not until after you have used it a couple of times.
>Could you please at least expand the acronym in the Abstract and
>Introduction, and maybe give a forward pointer to the definition from
>the Introduction.
>
>But be really careful! The term "IP Label Switching" seems to be hardly
>used anywhere (says Google) except:
>- in this I-D
>- in IOS to mean "hop-by-hop label switching" (about which I am also
>  none the wiser :-)
>- in old material as a synonym for MPLS.
>So your definition of IPoMPLS in Section 2 doesn't actually tell us
>what it is.
>
>---
>
>You need to take some care with acronyms on first use. You can check at
>http://www.rfc-editor.org/rfc-style-guide/abbrev.expansion.txt to see
>which are well known and don't need to be expanded.
>
>I see
>P2P
>PW
>LSR
>P2MP
>mLDP
>FEC
>L2VPN
>PE
>
>---
>
>Are you sure you don't want IANA to manage a registry for
>
>   State: Defines the type of application state (to be controlled).
>      The value of this field is defined as follows:
>       1: IPv4 Label switching
>       2: IPv6 Label switching
>       3: P2P PW FEC128 signaling
>       4: P2P PW FEC129 signaling
>      0, 5-15: Reserved.
>
>What does "Reserved" mean?
>
>---
>
>It seems (to me) odd that you require four SEC elements to disallow
>all four listed states. I would have thought bit flags would be more
>efficient with 1 disallows and 0 allows.
>
>But since this is a case of "I would not have done it this way", you
>do not need to make this change on my account provided the WG is OK
>with what you have here.
>
>_______________________________________________
>mpls mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mpls